searchNodes=[{"doc":"","ref":"Coord.html","title":"Coord","type":"module"},{"doc":"Alias in useful modules for working with coordinates.use Coord will alias in Coord.Point.UTM, Coord.Point.LatLng, and Coord.Datum.","ref":"Coord.html#__using__/1","title":"Coord.__using__/1","type":"macro"},{"doc":"An object with the data necessary to create a point in a datum.Most likely you want to use the datum WGS84, which is returned by the function Coord.Datum.wgs84/0. Many functions in this library have two versions, one that takes a datum and one that defaults to WGS84.If you need a different datum you will need to create your own instance of Coord.Datum. See the documentation for Coord.Datum.new for details.ConceptA geodetic datum is a system for assigning coordinates to our irregularly shaped world. WGS84 is generally considered the international default datum.Source: https://en.wikipedia.org/wiki/Geodetic_datum","ref":"Coord.Datum.html","title":"Coord.Datum","type":"module"},{"doc":"Create a Datum object by specifying the parameters of the ellipsoid that makes up its surface.See Coord.Datum.Ellipsoid for details on the parameter.","ref":"Coord.Datum.html#new/1","title":"Coord.Datum.new/1","type":"function"},{"doc":"Create a Datum object with data for the WGS84 datum, the latest revision of the international default.","ref":"Coord.Datum.html#wgs84/0","title":"Coord.Datum.wgs84/0","type":"function"},{"doc":"A struct containing an ellipsoid struct.","ref":"Coord.Datum.html#t:t/0","title":"Coord.Datum.t/0","type":"type"},{"doc":"Specified the shape of the surface of a Coord.Datum. See the typedoc for Coord.Datum.Ellipsoid.t/0 for the specifics of how to create an instance.ConceptAn ellipsoid is a surface that approximates the shape of the earth. It is constructed by flattening a sphere. WGS84 is defined by an ellipsoid with specific parameters. Other datum either use different parameters of different shapes altogether.Source: https://en.wikipedia.org/wiki/Reference_ellipsoid","ref":"Coord.Datum.Ellipsoid.html","title":"Coord.Datum.Ellipsoid","type":"module"},{"doc":"Assumes an oblate sphereoid datum surface like WGS84. Other types of surfaces are not currently supported.Keys::a: equatorial radius of the sphereoid in meters:b: the polar semi-minor axis in meters (equals a * (1 − f)):f: flattening (also known as ellipticity or oblateness)For example, the function Coord.Datum.wgs84/0 creates an instance of an Coord.Datum.Ellipsoid that looks like this:%Coord.Datum.Ellipsoid{a: 6_378_137, b: 6_356_752.314245, f: 1 / 298.257223563}","ref":"Coord.Datum.Ellipsoid.html#t:t/0","title":"Coord.Datum.Ellipsoid.t/0","type":"type"},{"doc":"A point represented by a latitude and longitude.iex&gt; use Coord iex&gt; _point = LatLng.new(51.178861, -1.826412) %Coord.Point.LatLng{lat: 51.178861, lng: -1.826412}By the way, the default values of the struct point to the same point at Stonehenge as the default values of the Coord.Point.LatLng struct for testing purposes.ConceptThe latitude of a point is defined as the angle between a line from that point to the center of the earth and the equatorial plane. Latitude lines run from north to south. This library follows the convention that north of the equator is positive and south of the equator is negative.The longitude of a point is defined as the angle between the meridian that passes through that point and the prime meridian. Longitude lines run east to west. This library follows the convention that meridians east of the prime meridian are positive and meridians west of the prime meridian are negative.Great ellipses are the intersection the earth and planes that pass through the center of the earth. Meridians are halves of the great ellipses which also pass through the poles.Source: https://en.wikipedia.org/wiki/Geographic_coordinate_system#Latitude_and_longitude","ref":"Coord.Point.LatLng.html","title":"Coord.Point.LatLng","type":"module"},{"doc":"Create a LatLng point from an UTM point.Uses Karney's method. Accurate up to 5nm if the point is within 3900km of the central meridian.","ref":"Coord.Point.LatLng.html#from/1","title":"Coord.Point.LatLng.from/1","type":"function"},{"doc":"Create a new LatLng point for a latitude and longitude","ref":"Coord.Point.LatLng.html#new/2","title":"Coord.Point.LatLng.new/2","type":"function"},{"doc":"A struct containing a latitude and longitude.Keys::lat: The latitude as a float:lng: The longitude as a float","ref":"Coord.Point.LatLng.html#t:t/0","title":"Coord.Point.LatLng.t/0","type":"type"},{"doc":"A point represented by a hemisphere of the globe (north or south), one of sixty numbered 6 degrees of longitude wide zones, an easting, and a northing.iex&gt; use Coord iex&gt; _point = UTM.new(30, :n, 582_032, 5_670_370) %Coord.Point.UTM{ datum: %Coord.Datum{ ellipsoid: %Coord.Datum.Ellipsoid{ a: 6378137, b: 6356752.314245, f: 0.0033528106647474805 } }, e: 582032, hemi: :n, n: 5670370, zone: 30 }By the way, the default values of the struct point to the same point at Stonehenge as the default values of the Coord.Point.LatLng struct for testing purposes.ConceptYou may see UTM coordinates which specify hemispheres with the letter N or S, or you may see them specify an MGRS band instead. This library chooses to specify UTM coordinates with a hemisphere and provide the function Coord.Point.UTM.mgrs_band/1 to compute the band. There are 20 MGRS bands each 8 degrees of latitude wide. They are numbered C to X, where C is the southmost and X is the northmost band. I and O are skipped to avoid mixing them up with the numbers 1 and 0. Unfortunately, this means it can be unclear whether a UTM coordinate uses the letter S to specify band S (which is in the northern hemisphere), or the southern hemisphere.Zone one starts at the international date line (which passes between Russia and Alaska), and the zones count eastward (zone 2 is east of zone 1).The easting counts the number of meters a point is east of the false origin, a line 500,000 meters west of the central meridian of the zone. A point 100m east of the central meridian of the zone would have an easting of 500_000 + 100 = 500_100, and a point 100m west of the central meridian of the zone would have an easting of 500_000 - 100 = 499_900. The east-west distance between those two eastings can be calculated by finding the difference between them (500_100 - 499_900 = 200). An easting is always a six digit number.In the northern hemisphere the northing counts the number of meters a point is north of the equator, while in the southern hemisphere it counts the number of meters a point is north of a line 10,000,000 meters south of the equator. That definition ensures if point A is north of point B point A will always have a larger northing. A northing is always a number with between one and seven digits.A datum represents the approximation used to fit a grid system onto our irregularly shaped world.For an more detailed explanation of UTM and examples of how UTM coordinates can be abbreviated see (Geokov)[http://geokov.com/education/utm.aspx].Source: http://geokov.com/education/utm.aspx","ref":"Coord.Point.UTM.html","title":"Coord.Point.UTM","type":"module"},{"doc":"Create an UTM point from a LatLng point.iex&gt; use Coord iex&gt; LatLng.new(51.178861, -1.826412) |&gt; UTM.from() %Coord.Point.UTM{ datum: %Coord.Datum{ ellipsoid: %Coord.Datum.Ellipsoid{ a: 6378137, b: 6356752.314245, f: 0.0033528106647474805 } }, e: 582031.9577723305, hemi: :n, n: 5670369.804561083, zone: 30 }Returns a Coord.Point.UTM.Uses Karney's method. Accurate up to 5nm if the point is within 3900km of the central meridian.","ref":"Coord.Point.UTM.html#from/2","title":"Coord.Point.UTM.from/2","type":"function"},{"doc":"Create an UTM point from a LatLng point, overriding the correct zone with a different zone.The zone specified will be used instead of the zone where the point lies. The exceptions for Norway/Svalbard will be applied to the zone specified. This means the code assumes that the zone specified was calculated without taking the exceptions into account.See Coord.Point.UTM.from/2 for details.","ref":"Coord.Point.UTM.html#from/3","title":"Coord.Point.UTM.from/3","type":"function"},{"doc":"Returns the MGRS band an UTM coordinate is in.Concept(MGRS)[https://en.wikipedia.org/wiki/Military_Grid_Reference_System] is a separate coordinate system similar to UTM. One aspect is that in addition to zones it also has bands start at A at the north pole go to Z at the south pole, skipping I and O because they could be confused with the numbers 1 and 0.Despite being from a separate system some people write UTM coordinates with an MGRS band instead of a hemisphere, such as 30 U 582032 5670370 instead of 30 N 582032 5670370.","ref":"Coord.Point.UTM.html#mgrs_band/1","title":"Coord.Point.UTM.mgrs_band/1","type":"function"},{"doc":"Create a new UTM point from a zone, hemisphere, easting, northing, and optional datum","ref":"Coord.Point.UTM.html#new/5","title":"Coord.Point.UTM.new/5","type":"function"},{"doc":"HemisphereThe N in 30 N 582032 5670370","ref":"Coord.Point.UTM.html#t:hemi/0","title":"Coord.Point.UTM.hemi/0","type":"type"},{"doc":"A struct containing a UTM point.Keys::zone: UTM Zone. The 30 in 30 N 582032 5670370:hemi: Hemisphere. The N in 30 N 582032 5670370:e: Easting. The 582032 in 30 N 582032 5670370:n: Northing. The 5825670370032 in 30 N 582032 5670370","ref":"Coord.Point.UTM.html#t:t/0","title":"Coord.Point.UTM.t/0","type":"type"},{"doc":"UTM ZoneThe 30 in 30 N 582032 5670370","ref":"Coord.Point.UTM.html#t:zone/0","title":"Coord.Point.UTM.zone/0","type":"type"},{"doc":"CoordThis modules aims to be a port of portions of the library Geodesy.Right now it provides structs to represent locations with points in UTM and LatLng format, and functions to convert between the two formats.The module has been tested by comparing the results of converting hundreds of thousands of points against the reference implementation GeoConvert. The conversion functions in GeoConvert were initially written by the author of the paper which introduced the algorithms used by this module and Geodesy to convert points between latitude/longitude and UTM. Many thanks to the authors of PropCheck and PropEr for making this automated testing feasible.","ref":"readme.html","title":"Coord","type":"extras"},{"doc":"iex&gt; use Coord iex&gt; LatLng.new(51.178861, -1.826412) |&gt; UTM.from() %Coord.Point.UTM{ datum: %Coord.Datum{ ellipsoid: %Coord.Datum.Ellipsoid{ a: 6378137, b: 6356752.314245, f: 0.0033528106647474805 } }, e: 582031.9577723305, hemi: :n, n: 5670369.804561083, zone: 30 }","ref":"readme.html#converting-from-latitude-and-longitude-to-utm","title":"Coord - Converting from latitude and longitude to UTM","type":"extras"},{"doc":"iex&gt; use Coord iex&gt; UTM.new(30, :n, 582031.96, 5670369.80) |&gt; LatLng.from() %Coord.Point.LatLng{ lat: 51.17886095867467, lng: -1.8264119691783214 }","ref":"readme.html#converting-from-utm-to-latitude-and-longitude","title":"Coord - Converting from UTM to latitude and longitude","type":"extras"},{"doc":"The default datum is WGS84, but you can specify a different datum if it can be represented by a surface defined using the same parameters as WGS84. See Coord.Datum and Coord.Datum.Ellipsoid.","ref":"readme.html#datum","title":"Coord - Datum","type":"extras"},{"doc":"Published to https://hexdocs.pm/coord","ref":"readme.html#documentation","title":"Coord - Documentation","type":"extras"},{"doc":"The LatLng -&gt; UTM and UTM -&gt; LatLng conversions in this library are tested against the reference implementation GeographicLib, which Geodesy is also based on. This means that to run some of the tests you will need to install the command line utility GeoConvert. On Ubuntu you may be able to do this via apt install geographiclib-tools.","ref":"readme.html#testing","title":"Coord - Testing","type":"extras"},{"doc":"The package can be installed by adding coord to your list of dependencies in mix.exs:def deps do [ {:coord, &quot;~&gt; 0.1.0&quot;} ] end","ref":"readme.html#installation","title":"Coord - Installation","type":"extras"}]